Index: src/common/mmo.h
===================================================================
--- src/common/mmo.h (revision 18)
+++ src/common/mmo.h (revision 22)
@@ -31,5 +31,5 @@
 #define MAX_FAME 1000000000
 #define MAX_CART 100
-#define MAX_SKILL 1100 // Bumped to 1100 for new quest skills, will need to further increase one day... [DracoRPG]
+#define MAX_SKILL 1600 // Bumped to 1100 for new quest skills, will need to further increase one day... [DracoRPG]
 #define GLOBAL_REG_NUM 96
 #define ACCOUNT_REG_NUM 64
@@ -526,4 +526,8 @@
 	JOB_XMAS,
 	JOB_SUMMER,
+    JOB_ADEPT = 30, // [Brain]
+    JOB_NECROMANCER, // [Brain]
+    JOB_WARLOCK,
+    
 	JOB_MAX_BASIC,
 
@@ -579,7 +583,5 @@
 	JOB_STAR_GLADIATOR2,
 	JOB_SOUL_LINKER,
-	JOB_NECROMANCER,
-	JOB_ADEPT,
-	JOB_WARLOCK,
+	
 	JOB_MAX,
 };
Index: src/map/skill.c
===================================================================
--- src/map/skill.c (revision 19)
+++ src/map/skill.c (revision 22)
@@ -821,5 +821,4 @@
 		sc_start(bl,SC_CRITICALWOUND,100,skilllv,skill_get_time2(skillid,skilllv));
 		break;
-<<<<<<< .mine
 	case NC_GHOULTOUCH:	//Necro Ghoul Touch [Brain]
 	if (battle_check_living(tstatus->race, tstatus->def_ele)) //Check if target is a living creature before proceed
@@ -851,30 +850,4 @@
 	sc_start(bl,SC_STUN,6*skilllv,skilllv,skill_get_time(skillid,skilllv));
 	break;*/
-=======
-		//Custom Jobs (blackmagic)
-	case NC_GHOULTOUCH:	//Necro Ghoul Touch [Brain]
-		if (battle_check_living(tstatus->race, tstatus->def_ele)) //Check if target is a living creature before proceed
-			sc_start(bl,SC_POISON,10000,skilllv,skill_get_time2(skillid,skilllv));
-		break;
-	case NC_PWSUFFER:	//Necro Power Word: Suffer [Brain]
-	case WL_PWAGONY:	//Warlock Power Word: Agony [Brain]
-		if (battle_check_living(tstatus->race, tstatus->def_ele)) //Check if target is a living creature before proceed
-			sc_start(bl,skillid==NC_PWSUFFER?SC_SUFFER:SC_AGONY,1000,skilllv,skill_get_time2(skillid,skilllv));
-		break;
-	case WL_SEARING:	//Warlock Searing Pain [Brain]
-		//The DoT is only initiated if target isnt burning already.
-		if(!tsc->data[SC_SEARING] && !tsc->data[SC_IMMOLATE])
-			sc_start(bl,SC_SEARING,10000,skilllv,skill_get_time2(skillid,skilllv));
-		break;
-	case WL_IMMOLATE:	//Warlock Immolate [Brain]
-		//The DoT is only initiated if target isnt in immolate, but must be in searing pain status
-		if(tsc->data[SC_SEARING] && !tsc->data[SC_IMMOLATE])
-			sc_start(bl,SC_IMMOLATE,10000,skilllv,skill_get_time2(skillid,skilllv));
-		break;
-	case WL_SHADOWBURN:	//Warlock Shadow Burn [Brain]
-		sc_start(bl,SC_STUN,10000,skilllv,skill_get_time(skillid,skilllv));
-		break;
-//Custom Job End
->>>>>>> .r18
 	}
 
@@ -1074,5 +1047,4 @@
 		status_heal(src, 0, status_get_lv(bl)*(95+15*rate)/100, 2);
 	}
-<<<<<<< .mine
 
 	// Warlock Soul Steal [Brain]
@@ -1085,16 +1057,4 @@
 	status_heal(src, 0, status_get_lv(bl)*(90+10*rate)/100, 2);
 	if(rand()%100 < rate) skill_additem(src,src,15020,1); //Chance to "steal" the target soul
-=======
-//Custom Jobs (blackmagic)	
-	// Warlock Soul Steal [Brain]
-	if(sd && skillid && attack_type&BF_MAGIC && status_isdead(bl) 
-		&& !(skill_get_inf(skillid)&(INF_GROUND_SKILL|INF_SELF_SKILL))
-		&& (rate=pc_checkskill(sd,WL_SOULSTEAL))>0){// Wont work with area/ground spells (hellfire)
-		if (pc_issit(sd)) pc_setstand(sd);
-		clif_skill_nodamage(src,bl,WL_SOULSTEAL,rate,1);
-		clif_specialeffect(src, 253, AREA); // Absorb Mana effect on caster
-		status_heal(src, 0, status_get_lv(bl)*(90+10*rate)/100, 2);
-		if(rand()%100 < rate) skill_additem(src,src,15020,1); //Chance to "steal" the target soul
->>>>>>> .r18
 	}
 
@@ -2191,5 +2151,4 @@
 					}
 					break;
-<<<<<<< .mine
 
 		case NC_PWSUFFER: //Necro Power Word: Suffer [Brain]
@@ -2226,42 +2185,4 @@
 			break;
 
-=======
-					//Custom Jobs (blackmagic)
-				
-				case NC_PWSUFFER: //Necro Power Word: Suffer [Brain]
-					if (!status_isdead(target) && status_get_sc(target)->data[SC_SUFFER]){
-						skill_attack(BF_MAGIC,src,src,target,skl->skill_id,skl->skill_lv,tick,skl->flag|SD_ANIMATION|SD_LEVEL);
-						clif_specialeffect(target, 180, AREA); //Shadow Hit Effect on target
-						if (skl->type>1 && !status_isdead(target))
-							skill_addtimerskill(src,tick+3000,target->id,0,0,skl->skill_id,skl->skill_lv,skl->type-1,skl->flag|SD_ANIMATION);
-					}
-					break;
-				case WL_SEARING: //Warlock Searing Pain [Brain]
-					if (!status_isdead(target) && status_get_sc(target)->data[SC_SEARING]){
-						skill_attack(BF_MAGIC,src,target,target,skl->skill_id,skl->skill_lv,tick,skl->flag|SD_ANIMATION|SD_LEVEL);
-						clif_specialeffect(target, 49, AREA); //Fire Hit Effect on target
-						if (skl->type>1 && !status_isdead(target))
-							skill_addtimerskill(src,tick+3000,target->id,0,0,skl->skill_id,skl->skill_lv,skl->type-1,skl->flag|SD_ANIMATION);
-					}
-					break;
-				case WL_IMMOLATE: //Warlock Immolate [Brain]
-					if (!status_isdead(target) && status_get_sc(target)->data[SC_IMMOLATE]){
-						skill_attack(BF_MAGIC,src,target,target,skl->skill_id,skl->skill_lv,tick,skl->flag|SD_ANIMATION|SD_LEVEL);
-						clif_specialeffect(target, 97, AREA); //Firepillar Hit Effect on target
-						if (skl->type>1 && !status_isdead(target))
-							skill_addtimerskill(src,tick+3000,target->id,0,0,skl->skill_id,skl->skill_lv,skl->type-1,skl->flag|SD_ANIMATION);
-					}
-					break;
-				case WL_PWAGONY: //Warlock Power Word: Agony [Brain]
-					if (!status_isdead(target) && status_get_sc(target)->data[SC_AGONY]){
-						skill_attack(BF_MAGIC,src,target,target,skl->skill_id,skl->skill_lv,tick,skl->flag|SD_ANIMATION|SD_LEVEL);
-						clif_specialeffect(target, 587, AREA); //Big Purple Flame Effect on target
-						if (skl->type>1 && !status_isdead(target))
-							skill_addtimerskill(src,tick+3000,target->id,0,0,skl->skill_id,skl->skill_lv,skl->type-1,skl->flag|SD_ANIMATION);
-					}
-					break;
-				
-					//Custom Job End
->>>>>>> .r18
 				default:
 					skill_attack(skl->type,src,src,target,skl->skill_id,skl->skill_lv,tick,skl->flag);
@@ -2484,5 +2405,4 @@
 	case MER_CRASH:
 		skill_attack(BF_WEAPON,src,src,bl,skillid,skilllv,tick,flag);
-<<<<<<< .mine
 		break;*/
 	case NC_GHOULTOUCH:	//Necro Ghoul Touch [Brain]
@@ -2502,26 +2422,4 @@
 	}
 	break;
-=======
-		break;
-		//Custom Jobs (blackmagic)
-	
-	case NC_GHOULTOUCH:	//Necro Ghoul Touch [Brain]
-		skill_attack(BF_WEAPON,src,src,bl,skillid,skilllv,tick,flag);
-		clif_specialeffect(bl, 124, AREA); //Venom Dust Effect on target
-		break;
-	case NC_DEATHHAND: 	//Necro Death Hand [Brain]
-		skill_attack(BF_WEAPON,src,src,bl,skillid,skilllv,tick,flag|SD_LEVEL);//Hide skill yell
-		clif_specialeffect(bl, 65, AREA); //Power absorb Effect on target
-		if (battle_check_living(tstatus->race, tstatus->def_ele)){ //Check if target is a living creature before proceed
-			int chance = (10+(skilllv*2)+(status_get_luk(src)-status_get_luk(bl))/5); 
-			//10% chance + 2% per skilllv + (caster luk - target luk)/5 %
-				if (rand()%100 < chance) {
-					clif_skill_nodamage(src,bl,skillid,-1,flag|SD_LEVEL);//Hide skill yell
-					status_percent_damage(src, bl, 100, 0, true); //Instant kill our target
-				} else clif_skill_fail(sd,skillid,0,0);
-		}
-		break;
-		//Custom Job End
->>>>>>> .r18
 
 
@@ -2860,5 +2758,4 @@
 		skill_attack(BF_MAGIC,src,src,bl,skillid,skilllv,tick,flag);
 		break;
-<<<<<<< .mine
 	case AD_DARKHEAL: // Adept Dark Heal [Brain]
 	clif_specialeffect(bl, 656, AREA); //Blinking Green Sprite Effect on target
@@ -2937,90 +2834,5 @@
 	else clif_skill_fail(sd,skillid,0,0);
 	break;
-=======
-		//Custom Jobs (blackmagic)
->>>>>>> .r18
-
-<<<<<<< .mine
-=======
-	
-	case AD_DARKHEAL: // Adept Dark Heal [Brain]
-		clif_specialeffect(bl, 656, AREA); //Blinking Green Sprite Effect on target
-		skill_attack(BF_MAGIC,src,src,bl,skillid,skilllv,tick,flag); //Exception because we must add the effect manually =/
-		break;
-	case NC_PWSUFFER: //Necro Power Word: Suffer [Brain]
-		if(battle_check_living(tstatus->race,tstatus->def_ele)){
-			skill_attack(BF_MAGIC,src,src,bl,skillid,skilllv,tick,flag);
-			clif_specialeffect(bl, 180, AREA); //Shadow hit Effect on target
-			clif_specialeffect(src, 454, AREA); //Black Cast Effect on caster
-			//If target is on suffering status already, just cause damage, no extra DoT
-			if(!status_get_sc(bl)->data[SC_SUFFER])
-				skill_addtimerskill(src,tick+3000,bl->id,0,0,skillid,skilllv,skilllv,flag);
-		}
-		else clif_skill_fail(sd,skillid,0,0);
-		break;
-	case NC_DRAINLIFE: // Necromancer Drain Life [Brain]
-		{
-			int heal = skill_attack(BF_MAGIC, src, src, bl, skillid, skilllv, tick, flag)/2;
-			if (heal > 0 && (battle_check_living(tstatus->race,tstatus->def_ele))){
-				clif_skill_nodamage(NULL, src, AL_HEAL, heal, 1);
-				status_heal(src, heal, 0, 0);
-			}
-		}
-		clif_specialeffect(bl, 180, AREA); //Shadow hit Effect on target
-		clif_specialeffect(src, 454, AREA); //Black Cast Effect on caster
-		break;
-	case WL_SHADOWBOLT: // Warlock Shadowbolt [Brain]
-		clif_specialeffect(bl, 180, AREA); //Shadow hit Effect on target
-		clif_specialeffect(src, 454, AREA); //Black Cast Effect on caster
-		skill_attack(BF_MAGIC,src,src,bl,skillid,skilllv,tick,flag); //Again, the effect...cursed effects...
-		break;
-	case WL_SHADOWBURN: // Warlock Shadow Burn [Brain]
-		clif_specialeffect(bl, 180, AREA); //Shadow hit Effect on target
-		clif_specialeffect(bl, 32, AREA); //Flame Engulf Effect on target
-		clif_specialeffect(src, 454, AREA); //Black Cast Effect on caster
-		skill_attack(BF_MAGIC,src,src,bl,skillid,skilllv,tick,flag);
-		break;
-	case WL_SEARING: // Warlock Searing Pain [Brain]
-		clif_specialeffect(bl, 406, AREA); //Fire on Head Effect on target
-		clif_specialeffect(src, 55, AREA); //Red Cast Effect on caster
-		skill_attack(BF_MAGIC,src,src,bl,skillid,skilllv,tick,flag);
-		//if target is on searing status already, just cause damage, no extra DoT
-		if(!status_get_sc(bl)->data[SC_SEARING])
-			skill_addtimerskill(src,tick+3000,bl->id,0,0,skillid,skilllv,4,flag);
-		break;
-	case WL_CONFLAGRATE: // Warlock Conflagrate [Brain]
-		if(status_get_sc(bl)->data[SC_IMMOLATE]) { // Can only be casted if target is immolating status
-			clif_specialeffect(bl, 183, AREA); //Explosion Effect on target
-			clif_specialeffect(src, 55, AREA); //Red Cast Effect on caster
-			skill_attack(BF_MAGIC,src,src,bl,skillid,skilllv,tick,flag);
-			status_change_end(bl,SC_IMMOLATE,-1); //End Immolating status
-		} else clif_skill_fail(sd,skillid,0,0);
-		break;
-	case WL_IMMOLATE: // Warlock Immolate [Brain]
-		clif_specialeffect(bl, 635, AREA); //Dragon Fire Effect on target
-		clif_specialeffect(src, 55, AREA); //Red Cast Effect on caster
-		skill_attack(BF_MAGIC,src,src,bl,skillid,skilllv,tick,flag);
-		//If Target is on searing pain status, will change immolating status instead
-		if(!status_get_sc(bl)->data[SC_IMMOLATE])
-			skill_addtimerskill(src,tick+3000,bl->id,0,0,skillid,skilllv,5,flag);
-		break;
-	case WL_CURSEDOOM: // Warlock Curse of Doom [Brain]
-		clif_specialeffect(bl, 183, AREA); //Explosion Effect on target
-		skill_attack(BF_MAGIC,src,bl,bl,skillid,skilllv,tick,flag|SD_ANIMATION);
-		break;
-	case WL_PWAGONY: // Warlock Power Word: Agony [Brain]
-		if(battle_check_living(tstatus->race,tstatus->def_ele)){
-			skill_attack(BF_MAGIC,src,src,bl,skillid,skilllv,tick,flag);
-			clif_specialeffect(bl, 587, AREA); //Big Purple Flame Effect on target
-			clif_specialeffect(src, 454, AREA); //Black Cast Effect on caster
-			//If target is on Agonizing status already, just cause damage, no extra DoT
-			if(!status_get_sc(bl)->data[SC_AGONY])
-				skill_addtimerskill(src,tick+3000,bl->id,0,0,skillid,skilllv,skilllv,flag);
-		}
-		else clif_skill_fail(sd,skillid,0,0);
-		break;
-
-		//Custom Job End
->>>>>>> .r18
+
 
 	case NPC_MAGICALATTACK:
@@ -3228,12 +3040,5 @@
 	if(status_isdead(src))
 		return 1;
-<<<<<<< .mine
-
-=======
-//Custom Jobs (blackmagic)
-	/*if(src!=bl && status_isdead(bl) && skillid != ALL_RESURRECTION && skillid != PR_REDEMPTIO)*/
-	// Added DEATHPACT [Brain]
-	//if(src!=bl && status_isdead(bl) && skillid != ALL_RESURRECTION && skillid != PR_REDEMPTIO)
->>>>>>> .r18
+
 	if(src!=bl && status_isdead(bl) && skillid != ALL_RESURRECTION && skillid != PR_REDEMPTIO && skillid != NC_DEATHPACT)
 		return 1;
@@ -3262,5 +3067,4 @@
 			}
 			break;
-<<<<<<< .mine
 	case AD_DARKHEAL:	// Adept Dark Heal [Brain]
 		// Only player casted spells can be offensive (copyed from AL_HEAL code above)
@@ -3277,23 +3081,4 @@
 		break;
 
-=======
-			//Custom Jobs (blackmagic)
-		
-		case AD_DARKHEAL:	// Adept Dark Heal [Brain]
-			// Only player casted spells can be offensive (copyed from AL_HEAL code above)
-			if (sd && (battle_check_living(tstatus->race,tstatus->def_ele)) //Check if target is a living creature
-				&& !pc_checkskill(dstsd,NC_PHYLACTERY) //Or he doesnt have Phylactery (non-perma undead)
-				&& !status_get_sc(bl)->data[SC_OVERWHELMING]) { //Or Overwhelming Evil is off (most cases)
-				if (battle_check_target(src, bl, BCT_ENEMY) < 1) {
-				  	//Offensive heal does not works on non-enemies.
-					clif_skill_fail(sd,skillid,0,0);
-					return 0;
-				}
-				return skill_castend_damage_id(src, bl, skillid, skilllv, tick, flag);
-			}
-			break;
-		
-			//Custom Job End
->>>>>>> .r18
 		case NPC_SMOKING: //Since it is a self skill, this one ends here rather than in damage_id. [Skotlex]
 			return skill_castend_damage_id (src, bl, skillid, skilllv, tick, flag);
@@ -3325,5 +3110,4 @@
 			if (status_isimmune(bl) || (dstmd && dstmd->class_ == MOBID_EMPERIUM))
 				heal=0;
-<<<<<<< .mine
 		// Profane Soul reduces the healed recieved by 3% per skilllv [Brain]
 		if(dstsd) {
@@ -3332,14 +3116,4 @@
 		if(pc_checkskill(dstsd,NC_PHYLACTERY)) heal = skilllv;
 		}
-=======
-			//Custom Jobs (blackmagic)
-			// Profane Soul reduces the healed recieved by 3% per skilllv [Brain]
-			if(dstsd) {
-				heal = heal * (100 - pc_checkskill(dstsd,AD_PROFANE)*3)/100;
-				//Wont heal even if he got elemental armors [Brain]
-				if(pc_checkskill(dstsd,NC_PHYLACTERY)) heal = skilllv;
-			}
-			//Custom Job End
->>>>>>> .r18
 			if (sd) {
 				if ((i = pc_skillheal_bonus(sd, skillid)))
@@ -3377,5 +3151,4 @@
 		}
 		break;
-<<<<<<< .mine
 
 	case AD_DARKHEAL: // Adept Dark Heal [Brain]
@@ -3399,27 +3172,4 @@
 
 
-=======
-	//Custom Jobs (blackmagic)
-	
-	case AD_DARKHEAL: // Adept Dark Heal [Brain]
-		{
-			int heal = skill_calc_heal(src, bl, skilllv);
-			if (status_isimmune(bl) || (dstmd && dstmd->class_ == MOBID_EMPERIUM))
-				heal=0;
-			if(battle_check_undead(tstatus->race,tstatus->def_ele) || tstatus->race==RC_UNDEAD // Check if our target is undead or demon
-				|| tstatus->race==RC_DEMON || pc_checkskill(dstsd,NC_PHYLACTERY)//Or has a phylactery
-				|| status_get_sc(bl)->data[SC_OVERWHELMING]) { //Or is on OverWhelm status, checking again...
-				clif_skill_nodamage(src, bl, skillid, heal, 1);
-				clif_skill_nodamage(NULL, bl, AL_HEAL, heal, 1); //Subtle way to show heal numbers AND effect =D
-				status_heal(bl, heal, 0, 0);
-			} else {
-				clif_skill_nodamage(src, bl, skillid, 0, 1);
-				clif_skill_nodamage(NULL, bl, AL_HEAL, 0, 1);
-			}
-		clif_specialeffect(bl, 656, AREA); //Blinking Green Sprite Effect on target
-		}
-		break;
-	//Custom Job End
->>>>>>> .r18
 	case PR_REDEMPTIO:
 		if (sd && !(flag&1)) {
@@ -3479,5 +3229,4 @@
 			{
 				clif_skill_nodamage(src,bl,ALL_RESURRECTION,skilllv,1); //Both Redemptio and Res show this skill-animation.
-<<<<<<< .mine
 						if(skillid==NC_DEATHPACT) { // Necro Death Pact [Brain]
 			clif_skill_nodamage(src, bl, skillid, skilllv,
@@ -3487,14 +3236,4 @@
 
 				if(sd && dstsd && battle_config.resurrection_exp > 0)
-=======
-				//Custom Jobs (blackmagic)
-				if(skillid==NC_DEATHPACT) { // Necro Death Pact [Brain]
-					clif_skill_nodamage(src, bl, skillid, skilllv, 
-						sc_start(bl,type,100,skilllv,skill_get_time(skillid,skilllv)));
-					break;
-				}
-				//Custom Job End
-				if(sd && dstsd && battle_config.resurrection_exp > 0) 
->>>>>>> .r18
 				{
 					int exp = 0,jexp = 0;
@@ -3514,98 +3253,4 @@
 		}
 		break;
-<<<<<<< .mine
-=======
-		//Custom Jobs (blackmagic)
-	
-	case AD_PWBLIND: // Adept Power Word: Blind [Brain]
-		if(!tsc->data[type]) {
-			clif_skill_nodamage(src, bl, skillid, skilllv,1);
-			if(sc_start(bl, type,(30 + skilllv * 10 + (status_get_lv(src) - sstatus->int_)/5),
-				skilllv, skill_get_time(skillid,skilllv))) 
-			{
-				if(dstmd) mob_unlocktarget(dstmd,tick);  //Removes current target
-				clif_specialeffect(bl, 379, AREA); //379.Soul Drain (2nd Part)
-				break;
-			}
-		} else clif_skill_fail(sd,skillid,0,0);
-		break;
- 
-	case AD_PWFEAR: // Adept Power Word: Fear [Brain]
-		if(!tsc->data[type]) {
-			clif_skill_nodamage(src, bl, skillid, skilllv,1);
-			if(dstsd)
-				type = SC_CONFUSION; //Players cant be affected by SC_FEAR
-			if(sc_start(bl, type, (30 + skilllv * 10), skilllv, skill_get_time(skillid,skilllv)))
-			{
-				clif_specialeffect(bl, 372, AREA); //372.Death
-				unit_escape(bl, bl, 30);
-			}
-		} else clif_skill_fail(sd,skillid,0,0);
-		break;
-	case WL_HOWLOFPAIN: // Warlock Howl of Pain [Brain]
-		//These must be here first or else the code wont execute them.
-		clif_specialeffect(src, 670, AREA); // Monster skill SCREAM effect on caster (no sound)
-		clif_soundeffectall(bl, "wraith_die.wav", 0, AREA); //Wraith Laugh Sound
-		if (flag & 1) {
-			//Check if target is a living creature AND a valid enemy
-			if (battle_check_target(src, bl, BCT_ENEMY) && battle_check_living(tstatus->race,tstatus->def_ele))
-			{
-				if(sc_start(bl,type,10+skilllv*10,skilllv,skill_get_time(skillid,skilllv)))
-				{
-					if(dstmd) //PROVOKE Effect on mobs
-						mob_target(dstmd,src,skill_get_range2(src,skillid,skilllv));
-					// Breaks Frozen and Sleep status
-					if(tsc && tsc->count){
-						if(tsc->data[SC_FREEZE])
-							status_change_end(bl,SC_FREEZE,-1);
-						if(tsc->data[SC_SLEEP])
-							status_change_end(bl,SC_SLEEP,-1);
-					}
-					clif_emotion(bl,6); //anger emote on target
-					break;
-				} else { //What will happen if the status fail:
-					{
-						if (sd) //If is a player
-							clif_skill_fail(sd,skillid,0,0);
-						map_freeblock_unlock(); //Else is a mob
-						return 0;
-					}
-					unit_skillcastcancel(bl, 2); //In any case, will cancel casting
-				}
-			}
-		} else {
-			map_foreachinrange(skill_area_sub, src,
-				skill_get_splash(skillid, skilllv), BL_CHAR,
-				src, skillid, skilllv, tick, flag|BCT_ENEMY|1,
-				skill_castend_nodamage_id);
-			clif_skill_nodamage(src, bl, skillid, skilllv, 1);
-			map_freeblock_unlock();
-			return 1;
-		}
-		break;
-	case WL_HOWLOFTERROR: // Warlock Howl of Terror [Brain]
-		if (flag & 1) {
-			int rate;
-			//Check if target is a living creature AND a valid enemy
-			if (battle_check_target(src, bl, BCT_ENEMY)
-				&& battle_check_living(tstatus->race,tstatus->def_ele)) {
-				rate = 10 + skilllv*5 + pc_checkskill(sd,AD_PWFEAR)*3;
-				if(dstsd) { 
-					rate -= 10; // 10% less chance on players
-					type = SC_CONFUSION; //Players cant be affected by SC_FEAR
-				}
-				if(sc_start(bl,type,rate,skilllv,skill_get_time(skillid,skilllv)))
-					clif_specialeffect(bl, 372, AREA); //Same as PW: Fear
-			}
-		} else {
-			map_foreachinrange(skill_area_sub, src,
-				skill_get_splash(skillid, skilllv), BL_CHAR,
-				src, skillid, skilllv, tick, flag|BCT_ENEMY|1,
-				skill_castend_nodamage_id);
-			clif_skill_nodamage(src, bl, skillid, skilllv, 1);
-		}
-		clif_specialeffect(src, 668, AREA); // Monster skill SCREAM effect on caster (with sound)
-		break;
->>>>>>> .r18
 
 	case AD_PWBLIND: // Adept Power Word: Blind [Brain]
@@ -3716,73 +3361,5 @@
 		}
 		break;
-<<<<<<< .mine
-
-=======
-	//Custom Jobs (blackmagic)
-	case NC_DARKMOON: //Necro Dark Moon [Brain]
-		if (flag&1) {
-			//Check my enemies
-			if (battle_check_target(src, bl, BCT_ENEMY) &&
-				battle_check_living(tstatus->race,tstatus->def_ele))
-			{
-				if(sc_start(bl,SC_BLIND,50,skilllv,skill_get_time(skillid,skilllv)))
-					clif_specialeffect(bl, 580, AREA); //Box of Rain effect on target
-			}
-			else { //Now my Party members
-				if (sd == NULL || sd->status.party_id == 0 || (flag & 1)) {
-	clif_skill_nodamage(bl,bl,skillid,skilllv,
-					sc_start(bl,type,100,skilllv,skill_get_time(skillid,skilllv)));
-					clif_specialeffect(bl, 521, AREA); //Red Flashing Aura Sprite effect on target
-				} else if (sd) {
-					party_foreachsamemap(skill_area_sub, sd,skill_get_splash(skillid, skilllv),
-										 src,skillid,skilllv,tick, flag|BCT_ALL|1,skill_castend_nodamage_id);
-				}
-			}
-		} else {
-			map_foreachinrange(skill_area_sub, src, skill_get_splash(skillid, skilllv), BL_CHAR,
-				src, skillid, skilllv, tick, flag|BCT_ALL|1, skill_castend_nodamage_id);
-			clif_skill_nodamage(src, bl, skillid, skilllv, 1);
-		}
-		clif_specialeffect(src, 407, AREA); //Soul Change Effect on caster
-		clif_soundeffectall(bl, "se_wolf1.wav", 0, AREA); //Wolf Howl Sound
-		break;
-	case NC_REQUIEM: //Necro Requiem [Brain]
-		if (flag&1) {
-			//Check my enemies
-			if (battle_check_target(src, bl, BCT_ENEMY) &&
-					battle_check_living(tstatus->race,tstatus->def_ele))
-			{
-				if(sc_start(bl,type,100,skilllv,skill_get_time(skillid,skilllv)))
-					clif_specialeffect(bl, 578, AREA); //Box of Curse effect on target
-			}
-			else { //Now my Party members
-				if (sd == NULL || sd->status.party_id == 0 || (flag & 1)) {
-					clif_skill_nodamage(bl,bl,skillid,skilllv,
-					sc_start(bl,type,100,skilllv,skill_get_time(skillid,skilllv)));
-					clif_specialeffect(bl, 572, AREA); //Warmth Soul effect on target
-				} else if (sd) {
-					party_foreachsamemap(skill_area_sub, sd,skill_get_splash(skillid, skilllv),
-						src,skillid,skilllv,tick, flag|BCT_ALL|1,skill_castend_nodamage_id);
-				}
-			}
-		} else {
-			map_foreachinrange(skill_area_sub, src, skill_get_splash(skillid, skilllv), BL_CHAR,
-				src, skillid, skilllv, tick, flag|BCT_ALL|1, skill_castend_nodamage_id);
-			clif_skill_nodamage(src, bl, skillid, skilllv, 1);
-		}
-		int rnds = rand()%3;
-		switch(rnds) {
-			case 1:
-				clif_soundeffectall(bl, "chant1.wav", 0, AREA); //Chanting Sound
-				break;
-			case 2:
-				clif_soundeffectall(bl, "chant2.wav", 0, AREA); //Chanting Sound
-				break;
-			case 3:
-				clif_soundeffectall(bl, "chant3.wav", 0, AREA); //Chanting Sound
-				break;
-		}
-		break;
->>>>>>> .r18
+
 	case NC_DARKMOON: //Necro Dark Moon [Brain]
 	if (flag&1) {
@@ -4156,5 +3733,4 @@
 			sc_start(bl,type,100,skilllv,skill_get_time(skillid,skilllv)));
 		break;
-<<<<<<< .mine
 	case AD_LUST:	// Adept Blood Lust [Brain]
 	clif_specialeffect(src, 220, AREA); //Berserk Pot effect
@@ -4204,57 +3780,4 @@
 		sc_start(bl,type,100,skilllv,skill_get_time(skillid,skilllv)));
 	break;
-=======
-	//Custom Jobs (blackmagic)
-	
-	case AD_LUST:	// Adept Blood Lust [Brain]
-		clif_specialeffect(src, 220, AREA); //Berserk Pot effect
-		clif_specialeffect(src, 455, AREA); //Red Lightnings
-		clif_skill_nodamage(src,bl,skillid,skilllv,
-			sc_start(bl,type,100,skilllv,skill_get_time(skillid,skilllv)));
-		break;
-	case NC_DECREPIFY: //Necro Decrepify [Brain]
-		if(battle_check_living(tstatus->race,tstatus->def_ele)){
-			clif_specialeffect(bl, 403, AREA); //Mind Breaker Effect on target
-			clif_specialeffect(src, 454, AREA); //Black Cast Effect on caster
-			clif_skill_nodamage(src,bl,skillid,skilllv,
-				sc_start(bl,type,100,skilllv,skill_get_time(skillid,skilllv)));
-		}
-		else clif_skill_fail(sd,skillid,0,0);
-		break;
-	case WL_CURSEWEAKNESS: // Warlock Curse of Weakness [Brain]
-		clif_specialeffect(bl, 656, AREA); //Blinking Green Sprite effect on target
-		clif_specialeffect(src, 59, AREA); //Purple Cast Effect on caster
-		clif_skill_nodamage(src,bl,skillid,skilllv,
-			sc_start(bl,type,100,skilllv,skill_get_time(skillid,skilllv)));
-		break;
-	case WL_CURSEEXHAUST: // Warlock Curse of Exhaustion [Brain]
-		clif_specialeffect(bl, 135, AREA); //Ice Breaking effect on target
-		clif_specialeffect(src, 59, AREA); //Purple Cast Effect on caster
-		clif_skill_nodamage(src,bl,skillid,skilllv,
-			sc_start(bl,type,100,skilllv,skill_get_time(skillid,skilllv)));
-		break;
-	case WL_CURSETONGUES: // Warlock Curse of Tongues [Brain]
-		clif_specialeffect(bl, 72, AREA); //Spinning Lights effect on target
-		clif_specialeffect(src, 59, AREA); //Purple Cast Effect on caster
-		clif_skill_nodamage(src,bl,skillid,skilllv,
-			sc_start(bl,type,100,skilllv,skill_get_time(skillid,skilllv)));
-		break;
-	case WL_CURSEDOOM: // Warlock Curse of Doom (temp) [Brain]
-		if(!tsc->data[type]) {
-			clif_specialeffect(bl, 196, AREA); //Small Curse Reaper effect on target
-			clif_specialeffect(src, 59, AREA); //Purple Cast Effect on caster
-			clif_skill_nodamage(src,bl,skillid,skilllv,
-				sc_start4(bl,type,100,
-					skilllv,skillid,src->id,skill_get_time(skillid,skilllv),1000));
-		} else clif_skill_fail(sd,skillid,0,0);
-		break;
-	case WL_OVERWHELMING: // Warlock Overwhelming Evil [Brain]
-		clif_specialeffect(src, 348, AREA); //1000 Blades Trespassing effect on caster
-		clif_skill_nodamage(src,bl,skillid,skilllv,
-			sc_start(bl,type,100,skilllv,skill_get_time(skillid,skilllv)));
-		break;
-	
-	//Custom Job End
->>>>>>> .r18
 	case MG_SIGHT:
 	case AL_RUWACH:
@@ -4473,33 +3996,4 @@
 		clif_skill_nodamage(src,bl,skillid,skilllv,i?1:0);
 		break;
-<<<<<<< .mine
-=======
-		//Custom Jobs (blackmagic)
-	
-	case WL_DRAINSOUL: // Warlock Drain Soul [Brain]
-		i = 0;
-		if (dstsd && (sd == dstsd || map_flag_vs(src->m)))
-		{	//check if target is a player and we are in versus map
-			i = tstatus->max_sp * skilllv/100;//i = SkillLv% of player Max SP
-			if(dstsd->spiritball && (dstsd->class_&MAPID_BASEMASK)!=MAPID_GUNSLINGER) {
-				i += dstsd->spiritball * 5;//will drain Monk Spirits and regain 5 SP per Spirit
-				pc_delspiritball(dstsd,dstsd->spiritball,0);
-			}
-		} else if (dstmd && !(tstatus->mode&MD_BOSS) && battle_check_living(tstatus->race,tstatus->def_ele))
-		{	// check if target is a monster and not a Boss
-			i = dstmd->level/5 * skilllv;//i = mob level/5 * Skill Lvl
-			mob_target(dstmd,src,0);//This will turn the mob agressive against the caster
-		}
-		if(i < skilllv) i = skilllv; //Minimum 1 sp per skill lvl
-		if (i) {
-			clif_specialeffect(src, 253, AREA); //Absorb Mana effect on caster
-			clif_specialeffect(bl, 52, AREA); //Lightning Hit effect on target
-			status_heal(src, 0, i, 3); //caster drains sp
-			status_zap(bl, 0, i*skilllv); //target lost sp equal to 1*SkillLv the amount drained
-		}
-		clif_skill_nodamage(src,bl,skillid,skilllv,i?1:0);
-		break;
-		//Custom Job End
->>>>>>> .r18
 
 	case WL_DRAINSOUL: // Warlock Drain Soul [Brain]
@@ -6595,15 +6089,4 @@
 			src->m, x-i, y-i, x+i,y+i,BL_SKILL);
 		break;
-<<<<<<< .mine
-=======
-		//Custom Jobs (blackmagic)
-	case WL_HELLFIRE: // Warlock Hellfire [Brain]
-		//clif_specialeffect(sd, 92, AREA); //Meteor Effect on caster, cant set on ground
-		clif_skill_poseffect(src,WZ_METEOR,skilllv,x,y,tick); //Meteor Effect
-		clif_skill_nodamage(src, src, skillid, 0, 1); //Lalala, just to show the skill yell correctly
-		clif_specialeffect(src, 55, AREA); //Red Cast Effect on caster
-		// Continue reading because skill_unitsetting is bellow
-		//Custom Job End
->>>>>>> .r18
 
 	case WL_HELLFIRE: // Warlock Hellfire [Brain]
@@ -6773,5 +6256,4 @@
 				md->deletetimer = add_timer (gettick() + skill_get_time(skillid,skilllv), mob_timer_delete, md->bl.id, 0);
 				mob_spawn (md); //Now it is ready for spawning.
-<<<<<<< .mine
                 // @showsummon command implementation [Brainstorm]
 		if(sd->state.showsummon){
@@ -6787,25 +6269,8 @@
 		}
 
-=======
-				//Custom Jobs (blackmagic)
-				// @showsummon command implementation [Brainstorm]
-				if(sd->state.showsummon){
-					char output[256];
-					sprintf(output,
-						"[Summon] HP : %d | STR : %d DEX : %d VIT : %d INT : %d AGI : %d LUK : %d",
-						md->status.max_hp,md->status.str,md->status.dex,md->status.vit,md->status.int_,md->status.agi,md->status.luk);
-					clif_disp_onlyself(sd,output,strlen(output));
-					sprintf(output,
-						"[%s] ATK : %d~%d | DEF: %d+%d MDEF: %d+%d | HIT: %d FLEE: %d",
-						md->name,md->status.rhw.atk,md->status.rhw.atk2,md->status.def,md->status.def2,md->status.mdef,md->status.mdef2,md->status.hit,md->status.flee);
-					clif_disp_onlyself(sd,output,strlen(output));
-				}
-				//Custom Job End
->>>>>>> .r18
-			}
-		}
-		break;
-
-<<<<<<< .mine
+			}
+		}
+		break;
+
 	case AD_FAMILIAR: // Adept Summon Familiar [Brain]
 	if( sd )
@@ -6864,66 +6329,5 @@
 		int mob_class;
 		struct mob_data *md;
-=======
-		//Custom Jobs (blackmagic)	
-	case AD_FAMILIAR: // Adept Summon Familiar [Brain]
-		if( sd )
-		{
-			int id;
-			int mob_class;
-			struct mob_data* md;
- 
-			mob_class = pc_readglobalreg(sd, "ADEPT_FAMILIAR");
-			if( mob_class == 0 )
-			{
-				mob_class = mob_get_random_id(4, 0x1, 0);
-				pc_setglobalreg(sd, "ADEPT_FAMILIAR", mob_class);
-			}
-			id = mob_once_spawn(sd,src->m,src->x,src->y,"--en--",mob_class,1,"");
-			md = (struct mob_data *)map_id2bl(id);
-			if( md != NULL )
-			{
-				md->master_id = sd->bl.id;
-				md->special_state.ai = 1;
-				md->status.mode = md->status.mode|MD_AGGRESSIVE;
-				status_calc_mob(md,0); //Recalc their stats based on passive bonus
-				md->status.hp = md->status.max_hp; //Must be here or the code wont update it
-				// @showsummon command implementation [Brainstorm]
-				if(sd->state.showsummon){
-					char output[256];
-					sprintf(output,
-						"[Summon] HP : %d | STR : %d DEX : %d VIT : %d INT : %d AGI : %d LUK : %d",
-						md->status.max_hp,md->status.str,md->status.dex,md->status.vit,md->status.int_,md->status.agi,md->status.luk);
-					clif_disp_onlyself(sd,output,strlen(output));
-					sprintf(output,
-						"[%s] ATK : %d~%d | DEF: %d+%d MDEF: %d+%d | HIT: %d FLEE: %d",
-						md->name,md->status.rhw.atk,md->status.rhw.atk2,md->status.def,md->status.def2,md->status.mdef,md->status.mdef2,md->status.hit,md->status.flee);
-					clif_disp_onlyself(sd,output,strlen(output));
-				}
-				md->deletetimer = add_timer(gettick() + skill_get_time(skillid,skilllv), mob_timer_delete, id, 0);
-			}
-		}
-		break;
-	case NC_SKELETON: // Raise Skeleton [Brain]
-	case NC_ARCHER: // Raise Archer Skeleton
-	case NC_ZOMBIE: // Raise Zombie
-	case NC_MUMMY: // Raise Mummy
-	case NC_GHOST: // Raise Ghost
-	case NC_SHADOW: // Raise Shadow
-	case NC_WRAITH: // Raise Wraith
-		if( sd )
-		{
-			static const int mob_skeleton[5]={ 3201, 3202, 3203, 3204, 3205 }; // Skeleton, Orc Skeleton, Soldier Skeleton, Pirate Skeleton, Skeleton General
-			static const int mob_archer[5]={ 3206, 3207, 3208, 3209, 3210 }; // Archer Skeleton, Firelock Soldier
-			static const int mob_zombie[5]={ 3211, 3212, 3213, 3214, 3215 }; // Zombie, Ghoul, Zombie Master
-			static const int mob_mummy[5]={ 3216, 3217, 3218, 3219, 3220 }; // Mummy, Ancient Mummy
-			static const int mob_ghost[5]={ 3221, 3222, 3223, 3224, 3225 }; // Whisper, Nightmare, Nightmare Terror
-			static const int mob_shadow[5]={ 3226, 3227, 3228, 3229, 3230 }; // Injustice, Raydric, Dullahan
-			static const int mob_wraith[5]={ 3231, 3232, 3233, 3234, 3235 }; // Wraith, Wraith Dead
-			int id;
-			int mob_class;
-			struct mob_data *md;
->>>>>>> .r18
-
-<<<<<<< .mine
+
 		switch( skillid )
 		{
@@ -6964,47 +6368,4 @@
 	}
 	break;
-=======
-			switch( skillid )
-			{
-				case NC_SKELETON: mob_class = mob_skeleton[skilllv-1]; break;
-				case NC_ARCHER:   mob_class = mob_archer[skilllv-1]; break;
-				case NC_ZOMBIE:   mob_class = mob_zombie[skilllv-1]; break;
-				case NC_MUMMY:    mob_class = mob_mummy[skilllv-1]; break;
-				case NC_GHOST:    mob_class = mob_ghost[skilllv-1]; break;
-				case NC_SHADOW:   mob_class = mob_shadow[skilllv-1]; break;
-				case NC_WRAITH:   mob_class = mob_wraith[skilllv-1]; break;
-				default:
-					mob_class = 1002; // poring
-					ShowDebug("skill_castend_pos2: undefined skill #%d used to raise mobs, defaulting to poring\n");
-					break;
-			}
-			id = mob_once_spawn(sd,src->m,src->x,src->y,"--ja--",mob_class,1,"");
-			if((md=(struct mob_data *)map_id2bl(id)))
-			{
-				md->master_id=sd->bl.id;
-				md->special_state.ai=1;
-				md->status.mode=md->db->status.mode|MD_AGGRESSIVE;
-				status_calc_mob(md,0); //Recalc their stats based on passive bonus
-				md->status.hp = md->status.max_hp; //Must be here or the code wont update it
-				// @showsummon command implementation [Brainstorm]
-				if(sd->state.showsummon){
-					char output[256];
-					sprintf(output,
-						"[Summon] HP : %d | STR : %d DEX : %d VIT : %d INT : %d AGI : %d LUK : %d",
-						md->status.max_hp,md->status.str,md->status.dex,md->status.vit,md->status.int_,md->status.agi,md->status.luk);
-					clif_disp_onlyself(sd,output,strlen(output));
-					sprintf(output,
-						"[%s] ATK : %d~%d | DEF: %d+%d MDEF: %d+%d | HIT: %d FLEE: %d",
-						md->name,md->status.rhw.atk,md->status.rhw.atk2,md->status.def,md->status.def2,md->status.mdef,md->status.mdef2,md->status.hit,md->status.flee);
-					clif_disp_onlyself(sd,output,strlen(output));
-				}
-				md->deletetimer = add_timer(gettick() + skill_get_time(skillid,skilllv), mob_timer_delete, id, 0);
-			}
-		}
-		break;
-
-
-		//Custom Job End
->>>>>>> .r18
 
 
@@ -7421,15 +6782,7 @@
 	switch(skillid)
 	{
-<<<<<<< .mine
 	case WL_HELLFIRE: // Warlock Hellfire [Brain]
 	if(map_flag_vs(src->m)) target = BCT_ALL;
 	break;
-=======
-//Custom Jobs (blackmagic)
-	case WL_HELLFIRE: // Warlock Hellfire [Brain]
-		if(map_flag_vs(src->m)) target = BCT_ALL;
-		break;
-//Custom Job End
->>>>>>> .r18
 	case MG_SAFETYWALL:
 		val2=skilllv+1;
@@ -8028,5 +7381,4 @@
 				}
 				if (status_isimmune(bl))
-<<<<<<< .mine
 					heal = 0;	/* é»éè²ã«ãŒãïŒããŒã«éïŒïŒ */
 		// Profane Soul reduces the healed recieved by 3% per skilllv [Brain]
@@ -8037,15 +7389,4 @@
 		}
 
-=======
-					heal = 0;	/* é»Eßè²ã«ãŒãïŒããŒã«éïŒïŒE*/
-				//Custom Jobs (blackmagic)
-				// Profane Soul reduces the healed recieved by 3% per skilllv [Brain]
-				if(tsd) {
-					heal = heal * (100 - pc_checkskill(tsd,AD_PROFANE)*3)/100;
-					//Wont heal even if he got elemental armors [Brain]
-					if(pc_checkskill(tsd,NC_PHYLACTERY)) heal = sg->skill_lv;
-				}
-				//Custom Job End
->>>>>>> .r18
 				clif_skill_nodamage(&src->bl, bl, AL_HEAL, heal, 1);
 				status_heal(bl, heal, 0, 0);
@@ -9105,5 +8446,4 @@
 		}
 		break;
-<<<<<<< .mine
 	case AD_FAMILIAR: //Adept Familiar [Flavio]
 	{
@@ -9154,55 +8494,4 @@
 	break;
 
-=======
-		//Custom Jobs (blackmagic)	
-	case AD_FAMILIAR: //Adept Familiar [Flavio]
-		{
-			short familiar[1] ={ pc_readglobalreg(sd, "ADEPT_FAMILIAR") };
-			int maxcount = skill_get_maxcount(skill,lv);
-			int count = 0;
-			count = mob_countslave_class(&sd->bl, 1, familiar );
-			if( count >= maxcount )
-			{
-				clif_skill_fail(sd,skill,0,0);
-				return 0;
-			}
-		}
-		break;
-	case NC_SKELETON: // Raise Skeleton [Brain]
-	case NC_ARCHER: // Raise Archer Skeleton
-	case NC_ZOMBIE: // Raise Zombie
-	case NC_MUMMY: // Raise Mummy
-	case NC_GHOST: // Raise Ghost
-	case NC_SHADOW: // Raise Shadow
-	case NC_WRAITH: // Raise Wraith
-		{// corrigido o limite de spawns [Flavio]
-			short summon1[5]={ 3201, 3202, 3203, 3204, 3205 }; // Skeleton, Orc Skeleton, Soldier Skeleton, Pirate Skeleton, Skeleton General
-			short summon2[5]={ 3206, 3207, 3208, 3209, 3210 }; // Archer Skeleton, Firelock Soldier
-			short summon3[5]={ 3211, 3212, 3213, 3214, 3215 }; // Zombie, Ghoul, Zombie Master
-			short summon4[5]={ 3216, 3217, 3218, 3219, 3220 }; // Mummy, Ancient Mummy
-			short summon5[5]={ 3221, 3222, 3223, 3224, 3225 }; // Whisper, Nightmare, Nightmare Terror
-			short summon6[5]={ 3226, 3227, 3228, 3229, 3230 }; // Injustice, Raydric, Dullahan
-			short summon7[5]={ 3231, 3232, 3233, 3234, 3235 }; // Wraith, Wraith Dead
-			int maxcount = skill_get_maxcount(skill,lv);
-			int count = 0;
-			switch( skill )
-			{
-			case NC_SKELETON: count = mob_countslave_class(&sd->bl, 5, summon1); break;
-			case NC_ARCHER: count = mob_countslave_class(&sd->bl, 5, summon2); break;
-			case NC_ZOMBIE: count = mob_countslave_class(&sd->bl, 5, summon3); break;
-			case NC_MUMMY: count = mob_countslave_class(&sd->bl, 5, summon4); break;
-			case NC_GHOST: count = mob_countslave_class(&sd->bl, 5, summon5); break;
-			case NC_SHADOW: count = mob_countslave_class(&sd->bl, 5, summon6); break;
-			case NC_WRAITH: count = mob_countslave_class(&sd->bl, 5, summon7); break;
-			}
-			if( count >= maxcount )
-			{
-				clif_skill_fail(sd,skill,0,0);
-				return 0;
-			}
-		}
-		break;
-		//Custom Job End
->>>>>>> .r18
 	case WZ_FIREPILLAR: // celest
 		if (lv <= 5)	// no gems required at level 1-5
@@ -9637,5 +8926,4 @@
 			status_change_end(bl, SC_SUFFRAGIUM, -1);
 		}
-<<<<<<< .mine
 	if (sc->data[SC_DECREPIFY]) // Necro Decrepify [Brain]
 		if(sc->data[SC_DECREPIFY]->val2>=3)
@@ -9646,17 +8934,4 @@
 	}
 
-=======
-		//Custom Jobs (blackmagic)
-		
-		if (sc->data[SC_DECREPIFY]) // Necro Decrepify [Brain]
-			if(sc->data[SC_DECREPIFY]->val2>=3)
-				time += time * 25/100; //+25% cast time
-		if (sc->data[SC_CURSETONGUES]) { //Warlock Curse of Tongues [Brain]
-			time += time * sc->data[SC_CURSETONGUES]->val2 / 100;
-			status_change_end(bl, SC_CURSETONGUES, -1);
-		}
-		
-		//Custom Job End
->>>>>>> .r18
 		if (sc->data[SC_MEMORIZE]) {
 			time>>=1;
@@ -12454,5 +11729,4 @@
 	return 0;
 }
-<<<<<<< .mine
 
 int skill_additem(struct block_list* src, struct block_list *bl, int itemid, int amount)// ITEM GIVER [Brain]
@@ -12493,42 +11767,2 @@
 	return 0;
 }
-=======
-//Custom Jobs (blackmagic)
-int skill_additem(struct block_list* src, struct block_list *bl, int itemid, int amount)// ITEM GIVER [Brain]
-{
-	struct map_session_data *sd = NULL, *tsd = NULL;
-
-	nullpo_retr(1, src);
-	nullpo_retr(1, bl);	
-
-	if (src->m != bl->m)
-		return 1;
-	if (bl->prev == NULL)
-		return 1;
-	if (src->type == BL_PC)
-		sd = (struct map_session_data *)src;
-	if (bl->type == BL_PC)
-		tsd = (struct map_session_data *)bl;
-	if (status_isdead(bl))
-		return 1;
-
-	int eflag;
-	struct item item_tmp;
-	struct block_list tbl;
-	
-	memset(&item_tmp,0,sizeof(item_tmp));
-	memset(&tbl,0,sizeof(tbl));
-
-	item_tmp.nameid = itemid;
-	item_tmp.identify = 1;
-	tbl.id = 0;
-
-	clif_takeitem(&sd->bl,&tbl);
-	eflag = pc_additem(sd,&item_tmp,amount);
-	if(eflag) {
-		clif_additem(sd,0,0,eflag);
-		map_addflooritem(&item_tmp,amount,sd->bl.m,sd->bl.x,sd->bl.y,0,0,0,0);
-	}
-	return 0;
-}
-//Custom Job End>>>>>>> .r18
Index: src/map/unit.c
===================================================================
--- src/map/unit.c (revision 19)
+++ src/map/unit.c (revision 22)
@@ -307,5 +307,4 @@
 		map_random_dir(bl, &ud->to_x, &ud->to_y);
 
-
 	if(ud->walktimer != -1) {
 		// »Ýà¢Ä¢éÅÌÚInÏXÈÌÅ}XÚÌSÉœÉ
@@ -375,8 +374,4 @@
 	if (sc && sc->data[SC_CONFUSION]) //Randomize the target position
 		map_random_dir(bl, &ud->to_x, &ud->to_y);
-	//Custom Jobs (blackmagic)
-	if (sc && sc->data[SC_FEAR]) //Flee from my target [Brainstorm]
-		unit_escape(bl, tbl, 15);
-	//Custom Job End
 
 	if (sc && sc->data[SC_FEAR]) //Flee from my target [Brainstorm]
Index: src/map/status.c
===================================================================
--- src/map/status.c (revision 19)
+++ src/map/status.c (revision 22)
@@ -408,35 +408,4 @@
 	set_sc( GD_BATTLEORDER       , SC_BATTLEORDERS    , SI_BLANK           , SCB_STR|SCB_INT|SCB_DEX );
 	set_sc( GD_REGENERATION      , SC_REGENERATION    , SI_BLANK           , SCB_REGEN );
-<<<<<<< .mine
-=======
-	//Custom Jobs (blackmagic)	
-	// Custom Jobs Skills [Brain]
-	add_sc( AD_PWBLIND           , SC_BLIND);
-	add_sc( AD_PWFEAR            , SC_FEAR);
-	set_sc( AD_LUST              , SC_LUST            , SI_JOINTBEAT       , SCB_ASPD|SCB_BATK|SCB_WATK|SCB_REGEN);
- 
-	set_sc( NC_DECREPIFY         , SC_DECREPIFY       , SI_BLEEDING        , SCB_SPEED|SCB_BATK|SCB_WATK|SCB_DEF2|SCB_MDEF2);
-	set_sc( NC_DARKMOON          , SC_DARKMOON        , SI_MOON_COMFORT    , SCB_FLEE|SCB_HIT);
-	add_sc( NC_DARKMOON          , SC_BLIND);
-	set_sc( NC_REQUIEM           , SC_REQUIEM         , SI_KAIZEL          , SCB_BATK|SCB_WATK);
-	add_sc( NC_GHOULTOUCH        , SC_POISON);
-	set_sc( NC_PWSUFFER          , SC_SUFFER          , SI_BLANK           , SCB_DEF|SCB_DEF2);
-	set_sc( NC_DEATHPACT         , SC_DEATHPACT       , SI_BIOMOBTRICKDEAD , SCB_DEF_ELE|SCB_REGEN);
-	
-	set_sc( WL_SEARING           , SC_SEARING         , SI_BLANK           , SCB_NONE);
-	set_sc( WL_IMMOLATE          , SC_IMMOLATE        , SI_BLANK           , SCB_NONE);
-	add_sc( WL_SHADOWBURN        , SC_STUN);
-	set_sc( WL_PWAGONY           , SC_AGONY           , SI_BLANK           , SCB_MDEF|SCB_MDEF2);
-	set_sc( WL_CURSETONGUES      , SC_CURSETONGUES    , SI_SLOWCAST        , SCB_NONE);
-	set_sc( WL_CURSEDOOM         , SC_DOOM            , SI_BLANK           , SCB_NONE);
-	set_sc( WL_CURSEWEAKNESS     , SC_CURSEWEAKNESS   , SI_STRIPWEAPON     , SCB_BATK|SCB_WATK);
-	set_sc( WL_CURSEEXHAUST      , SC_CURSEEXHAUST    , SI_CRITICALWOUND   , SCB_DEF|SCB_MDEF);
-	add_sc( WL_HOWLOFTERROR      , SC_FEAR);
-	set_sc( WL_HOWLOFPAIN        , SC_PROVOKE         , SI_PROVOKE         , SCB_DEF|SCB_DEF2|SCB_BATK|SCB_WATK);
-	set_sc( WL_OVERWHELMING      , SC_OVERWHELMING    , SI_ENERGYCOAT      , SCB_DEF|SCB_MDEF|SCB_MATK|SCB_REGEN|SCB_DEF_ELE);
-	
-	set_sc( ALL_ATFIELD          , SC_ATFIELD         , SI_UTSUSEMI        ,SCB_NONE);
-	//Custom Job End
->>>>>>> .r18
 
 	// Custom Jobs Skills [Brain]
@@ -1404,13 +1373,6 @@
 		flag|=16;
 
-<<<<<<< .mine
 	if (md->master_id && md->special_state.ai)
 	flag|=32; //Adept/Necro/Warlock Summon Stats Bonus [Brainstorm]
-=======
-	//Custom Jobs (blackmagic)		
-	if (md->master_id && md->special_state.ai)
-		flag|=32; //Adept/Necro/Warlock Summon Stats Bonus [Brainstorm]
-	//Custom Job End
->>>>>>> .r18
 
 
@@ -1531,5 +1493,4 @@
 		status->aspd_rate -= 100*md->guardian_data->guardup_lv;
 	}
-<<<<<<< .mine
 	//Summon Bonus from Skills [Brainstorm]
 	if(flag&32)
@@ -1591,69 +1552,4 @@
 		status->mdef2 += (undead_mastery*3) + (skill_mastery);
 		}
-=======
-
-	//Custom Jobs (blackmagic)
-	//Summon Bonus from Skills [Brainstorm]
-	if(flag&32)
-	{
-		mbl = map_id2bl(md->master_id);
-		if(mbl)
-		{
-			struct unit_data *ud = unit_bl2ud(mbl);
-			//Remove special AI when this is used by regular mobs.
-			if (mbl->type == BL_MOB && !((TBL_MOB*)mbl)->special_state.ai)
-				md->special_state.ai = 0;
-			
-			int master_lv = status_get_lv(mbl);
-			int skill_mastery = pc_checkskill((TBL_PC*)mbl,AD_SUMMONS);
-			int undead_mastery = pc_checkskill((TBL_PC*)mbl,NC_UNDEAD);
-	
-			if (ud->skillid == AD_FAMILIAR)
-			{
-				status->max_hp += (skill_mastery*10) + (master_lv*10);
-				status->str += (master_lv) + (skill_mastery);
-				status->dex += (master_lv) + (skill_mastery);
-				status->agi += (master_lv) + (skill_mastery);
-				status->int_ += (master_lv) + (skill_mastery);
-				status->vit += (master_lv) + (skill_mastery);
-				status->luk += (master_lv) + (skill_mastery);
-				status->rhw.atk += (skill_mastery*3)
-					+ (status->str+((status->str/10)*(status->str/10))+(status->dex/5)+(status->luk/10));
-				status->rhw.atk2 += (skill_mastery*3)
-					+ (status->str+((status->str/10)*(status->str/10))+(status->dex/5)+(status->luk/10));
-				status->speed -= skill_mastery;
-				status->def += (master_lv)/10 + (skill_mastery);
-				status->mdef += (master_lv)/10 + (skill_mastery);
-				//These are not automatically recalculated
-				status->hit += (master_lv*2) + (skill_mastery);
-				status->flee += (master_lv*2) + (skill_mastery);
-				status->def2 += (master_lv) + (skill_mastery);
-				status->mdef2 += (master_lv) + (skill_mastery);
-			}	
-			else if(status->race==RC_UNDEAD)
-			{
-				status->max_hp += (undead_mastery*10) + (master_lv*2);
-				status->str += (undead_mastery*3) + (skill_mastery);
-				status->dex += (undead_mastery*3) + (skill_mastery);
-				status->agi += (undead_mastery*3) + (skill_mastery);
-				status->int_ += (undead_mastery*3) + (skill_mastery);
-				status->vit += (undead_mastery*3) + (skill_mastery);
-				status->luk += (undead_mastery*3) + (skill_mastery);
-				status->rhw.atk += (undead_mastery*3) + (skill_mastery*3)
-					+ (status->str+((status->str/10)*(status->str/10))+(status->dex/5)+(status->luk/10));
-				status->rhw.atk2 += (undead_mastery*3) + (skill_mastery*3)
-					+ (status->str+((status->str/10)*(status->str/10))+(status->dex/5)+(status->luk/10));
-				status->speed -= undead_mastery;
-				status->def += undead_mastery;
-				status->mdef += undead_mastery;
-				//These are not automatically recalculated
-				status->hit += (undead_mastery*3) + (skill_mastery);
-				status->flee += (undead_mastery*3) + (skill_mastery);
-				status->def2 += (undead_mastery*3) + (skill_mastery);
-				status->mdef2 += (undead_mastery*3) + (skill_mastery);
-			}
-		}
-		else ShowError("status_calc_mob: Monster summoned without a master at %s\n", map[md->bl.m].name);
->>>>>>> .r18
 	}
 	else ShowError("status_calc_mob: Monster summoned without a master at %s\n", map[md->bl.m].name);
@@ -1908,13 +1804,6 @@
 	status->aspd_rate = 1000;
 	status->ele_lv = 1;
-<<<<<<< .mine
 	status->race = RC_DEMIHUMAN;// This define players default race to DEMIHUMAN [Brain]
 	if(pc_checkskill(sd,NC_PHYLACTERY)>0) status->def_ele = ELE_UNDEAD; //Phylactery turns you UNDEAD 1 instead of NEUTRAL
-=======
-	//Custom Jobs (blackmagic)
-	status->race = RC_DEMIHUMAN;// This define players default race to DEMIHUMAN [Brain]
-	if(pc_checkskill(sd,NC_PHYLACTERY)>0) status->def_ele = ELE_UNDEAD; //Phylactery turns you UNDEAD 1 instead of NEUTRAL
-	//Custom Job End
->>>>>>> .r18
 
 	//zero up structures...
@@ -2209,12 +2098,4 @@
 	status->str += skill/2; //+1 str per 2 skill points
 
-<<<<<<< .mine
-=======
-	//Custom Jobs (blackmagic)
-	
-	if((skill=pc_checkskill(sd,WL_DEMONOLOGY))>0) //Warlock Demonology [Brain]
-		status->str += skill/2; //+1 str per 2 skill points
-	//Custom Job End
->>>>>>> .r18
 
 	// Bonuses from cards and equipment as well as base stat, remember to avoid overflows.
@@ -2257,11 +2138,4 @@
 	status->max_hp += status->max_hp * (skill*3)/100;
 
-<<<<<<< .mine
-=======
-	//Custom Jobs (blackmagic)
-	if((skill=pc_checkskill(sd,AD_PROFANE))>0) // Adept Profane Soul [Brain]
-		status->max_hp += status->max_hp * (skill*3)/100;
-	//Custom Job End
->>>>>>> .r18
 
 	// Apply relative modifiers from equipment
@@ -2296,11 +2170,4 @@
 	status->max_sp += sd->status.max_sp * (skill*3)/100;
 
-<<<<<<< .mine
-=======
-	//Custom Jobs (blackmagic)
-	if((skill=pc_checkskill(sd,AD_PROFANE))>0) // Adept Profane Soul [Brain]
-		status->max_sp += sd->status.max_sp * (skill*3)/100;
-	//Custom Job End
->>>>>>> .r18
 
 	// Apply relative modifiers from equipment
@@ -2399,12 +2266,4 @@
 	status->hit += skill*2;
 
-<<<<<<< .mine
-=======
-	//Custom Jobs (blackmagic)
-	if((skill=pc_checkskill(sd,AD_FERVOR))>0) // Adept Unholy Fevor [Brain]
-		status->hit += skill*2;
-	//Custom Job End
-
->>>>>>> .r18
 // ----- FLEE CALCULATION -----
 
@@ -2417,12 +2276,4 @@
 	status->flee += skill*2;
 
-<<<<<<< .mine
-=======
-	//Custom Jobs (blackmagic)
-	if((skill=pc_checkskill(sd,AD_FERVOR))>0) // Adept Unholy Fevor [Brain]
-		status->flee += skill*2;
-	//Custom Job End
-
->>>>>>> .r18
 // ----- EQUIPMENT-DEF CALCULATION -----
 
@@ -2434,13 +2285,5 @@
 		status->def = cap_value(i, CHAR_MIN, CHAR_MAX);
 	}
-<<<<<<< .mine
-
-=======
-	//Custom Jobs (blackmagic)
-	// Absolute modifiers from passive skills
-	if((skill=pc_checkskill(sd,AD_DARKFAITH))>0) // Adept Dark Faith [Brain]
-		status->mdef += 1*skill;
-	//Custom Job End
->>>>>>> .r18
+
 	if (!battle_config.weapon_defense_type && status->def > battle_config.max_def)
 	{
@@ -2569,5 +2412,4 @@
 	}
 
-<<<<<<< .mine
 	if((skill=pc_checkskill(sd,AD_DARKFAITH))>0) // Adept Dark Faith [Brain]
 	sd->subele[ELE_DARK] += skill*5;
@@ -2577,26 +2419,8 @@
 	sd->magic_addrace[RC_DEMON]+=skill;
 	sd->subrace[RC_DEMON]+=skill;
-=======
-
-	//Custom Jobs (blackmagic)
-	if((skill=pc_checkskill(sd,AD_DARKFAITH))>0) // Adept Dark Faith [Brain]
-		sd->subele[ELE_DARK] += skill*5;
-	if((skill=pc_checkskill(sd,WL_DEMONOLOGY))>0 ){ //Warlock Demonology [Brain]
-		skill = skill*5;
-		sd->right_weapon.addrace[RC_DEMON]+=skill;
-		sd->magic_addrace[RC_DEMON]+=skill;
-		sd->subrace[RC_DEMON]+=skill;
->>>>>>> .r18
-	}
-<<<<<<< .mine
+	}
 	if((pc_checkskill(sd,NC_PHYLACTERY))>0){ // Necro Phylactery [Brain]
 	sd->subele[ELE_NEUTRAL] += 10;	//And increases neutral resistance by 10%
 	}
-=======
-	if((pc_checkskill(sd,NC_PHYLACTERY))>0){ // Necro Phylactery [Brain]
-		sd->subele[ELE_NEUTRAL] += 10;	//And increases neutral resistance by 10%
-	}
-	//Custom Job End
->>>>>>> .r18
 
 
@@ -2626,12 +2450,4 @@
 		sd->subele[ELE_NEUTRAL] += sd->sc.data[SC_DEATHPACT]->val2;
 
-<<<<<<< .mine
-=======
-		//Custom Jobs (blackmagic)
-		if(sd->sc.data[SC_DEATHPACT]) //Necro Death Pact [Brain]
-			sd->subele[ELE_NEUTRAL] += sd->sc.data[SC_DEATHPACT]->val2;
-		//Custom Job End
-
->>>>>>> .r18
 		if(sc->data[SC_ARMOR_ELEMENT])
 		{	//This status change should grant card-type elemental resist.
@@ -2969,10 +2785,5 @@
 		|| sc->data[SC_TRICKDEAD]
 		|| sc->data[SC_BLEEDING]
-<<<<<<< .mine
 		|| sc->data[SC_LUST]	// Adept Blood Lust, stops hp regen [Brain]
-=======
-		//Custom Jobs (blackmagic)
-		|| sc->data[SC_LUST]		// Adept Blood Lust, stops hp regen [Brain]
->>>>>>> .r18
 		|| sc->data[SC_DEATHPACT]	// Necro Death Pact
 
@@ -3755,5 +3566,4 @@
 	if(sc->data[SC_MADNESSCANCEL])
 		batk += 100;
-<<<<<<< .mine
 	if(sc->data[SC_LUST]) // Adept Blood Lust [Brain]
 	batk += batk * sc->data[SC_LUST]->val2/100;
@@ -3764,16 +3574,4 @@
 		batk -= batk * 25/100;
 
-=======
-	//Custom Jobs (blackmagic)
-	if(sc->data[SC_LUST]) // Adept Blood Lust [Brain]
-		batk += batk * sc->data[SC_LUST]->val2/100;
-	if(sc->data[SC_CURSEWEAKNESS]) // Warlock Curse of Weakness [Brain]
-		batk -= batk * sc->data[SC_CURSEWEAKNESS]->val2/100;
-	if(sc->data[SC_DECREPIFY]) // Necromancer Decrepify [Brain]
-		if(sc->data[SC_DECREPIFY]->val2>=2)
-			batk -= batk * 25/100;
-	
-	//Custom Job End
->>>>>>> .r18
 	return (unsigned short)cap_value(batk,0,USHRT_MAX);
 }
@@ -3818,5 +3616,4 @@
 	if(sc->data[SC_STRIPWEAPON])
 		watk -= watk * sc->data[SC_STRIPWEAPON]->val2/100;
-<<<<<<< .mine
 	if(sc->data[SC_LUST]) // Adept Blood Lust [Brain]
 	watk += watk * sc->data[SC_LUST]->val2/100;
@@ -3832,21 +3629,4 @@
 	if(sc->data[SC_DECREPIFY]->val2>=2)
 		watk -= watk * 25/100;
-=======
-	//Custom Jobs (blackmagic)
-	if(sc->data[SC_LUST]) // Adept Blood Lust [Brain]
-		watk += watk * sc->data[SC_LUST]->val2/100;
-	if(sc->data[SC_REQUIEM]){	//Necro Requiem [Brain]
-		if(sc->data[SC_REQUIEM]->val2)
-			watk += sc->data[SC_REQUIEM]->val2*10;
-		if(sc->data[SC_REQUIEM]->val3)
-			watk -= sc->data[SC_REQUIEM]->val3*10;
-	}
-	if(sc->data[SC_CURSEWEAKNESS]) // Warlock Curse of Weakness [Brain]
-		watk -= watk * sc->data[SC_CURSEWEAKNESS]->val2/100;
-	if(sc->data[SC_DECREPIFY]) // Necromancer Decrepify [Brain]
-		if(sc->data[SC_DECREPIFY]->val2>=2)
-			watk -= watk * 25/100;
-	//Custom Job End
->>>>>>> .r18
 
 
@@ -3869,13 +3649,6 @@
 	if(sc->data[SC_INCMATKRATE])
 		matk += matk * sc->data[SC_INCMATKRATE]->val1/100;
-<<<<<<< .mine
 	if(sc->data[SC_OVERWHELMING]) // Warlock Overwhelming Evil [Brain]
 	matk += matk * sc->data[SC_OVERWHELMING]->val2/100;
-=======
-	//Custom Jobs (blackmagic)
-	if(sc->data[SC_OVERWHELMING]) // Warlock Overwhelming Evil [Brain]
-		matk += matk * sc->data[SC_OVERWHELMING]->val2/100;
-	//Custom Job End
->>>>>>> .r18
 
 
@@ -3926,5 +3699,4 @@
 	if(sc->data[SC_INCREASING])
 		hit += 20; // RockmanEXE; changed based on updated [Reddozen]
-<<<<<<< .mine
 	if(sc->data[SC_DARKMOON]){	//Necro Dark Moon [Brain]
 	if(sc->data[SC_DARKMOON]->val2)
@@ -3932,12 +3704,4 @@
 	if(sc->data[SC_DARKMOON]->val3)
 		hit -= sc->data[SC_DARKMOON]->val3;
-=======
-	//Custom Jobs (blackmagic)
-	if(sc->data[SC_DARKMOON]){	//Necro Dark Moon [Brain]
-		if(sc->data[SC_DARKMOON]->val2)
-			hit += sc->data[SC_DARKMOON]->val2;
-		if(sc->data[SC_DARKMOON]->val3)
-			hit -= sc->data[SC_DARKMOON]->val3;
->>>>>>> .r18
 	}
 
@@ -3982,5 +3746,4 @@
 	if(sc->data[SC_SPEED])
 		flee += 10 + sc->data[SC_SPEED]->val1 * 10 ;
-<<<<<<< .mine
 	if(sc->data[SC_DARKMOON]){	//Necro Dark Moon [Brain]
 	if(sc->data[SC_DARKMOON]->val2)
@@ -3988,12 +3751,4 @@
 	if(sc->data[SC_DARKMOON]->val3)
 		flee -= sc->data[SC_DARKMOON]->val3;
-=======
-	//Custom Jobs (blackmagic)
-	if(sc->data[SC_DARKMOON]){	//Necro Dark Moon [Brain]
-		if(sc->data[SC_DARKMOON]->val2)
-			flee += sc->data[SC_DARKMOON]->val2;
-		if(sc->data[SC_DARKMOON]->val3)
-			flee -= sc->data[SC_DARKMOON]->val3;
->>>>>>> .r18
 	}
 
@@ -4056,5 +3811,4 @@
 	if (sc->data[SC_FLING])
 		def -= def * (sc->data[SC_FLING]->val2)/100;
-<<<<<<< .mine
 	if(sc->data[SC_SUFFER])	// Necro Power Word: Suffer [Brain]
 	def <<=1; // -25% def
@@ -4063,14 +3817,4 @@
 	if (sc->data[SC_OVERWHELMING]) // Warlock Overwhelming Evil [Brain]
 	 def += sc->data[SC_OVERWHELMING]->val1;
-=======
-	//Custom Jobs (blackmagic)
-	if(sc->data[SC_SUFFER])	// Necro Power Word: Suffer [Brain]
-		def <<=1; // -25% def
-	if (sc->data[SC_CURSEEXHAUST]) // Warlock Curse of Exhaustion [Brain]
-		def -= sc->data[SC_CURSEEXHAUST]->val2;
-	if (sc->data[SC_OVERWHELMING]) // Warlock Overwhelming Evil [Brain]
- 		def += sc->data[SC_OVERWHELMING]->val1;
-	//Custom Job End
->>>>>>> .r18
 
 
@@ -4114,14 +3858,4 @@
 		def2 -= def2 * 25/100;
 
-<<<<<<< .mine
-=======
-	//Custom Jobs (blackmagic)
-	if(sc->data[SC_SUFFER])	// Necro Power Word: Suffer [Brain]
-		def2 -= def2 * 25/100; // -25% def
-	if(sc->data[SC_DECREPIFY]) // Necromancer Decrepify [Brain]
-		if(sc->data[SC_DECREPIFY]->val2>=4)
-			def2 -= def2 * 25/100;
-	//Custom Job End
->>>>>>> .r18
 
 	return (short)cap_value(def2,1,SHRT_MAX);
@@ -4151,5 +3885,4 @@
 	if(sc->data[SC_CONCENTRATION])
 		mdef += 1; //Skill info says it adds a fixed 1 Mdef point.
-<<<<<<< .mine
 	if(sc->data[SC_AGONY])	 // Warlock Power Word: Agony [Brain]
 	mdef -= 25*mdef/100; // -25% mdef
@@ -4158,14 +3891,4 @@
 	if (sc->data[SC_OVERWHELMING]) // Warlock Overwhelming Evil [Brain]
 	 mdef += sc->data[SC_OVERWHELMING]->val1;
-=======
-	//Custom Jobs (blackmagic)
-	if(sc->data[SC_AGONY])	 // Warlock Power Word: Agony [Brain]
-		mdef -= 25*mdef/100; // -25% mdef
-	if (sc->data[SC_CURSEEXHAUST]) // Warlock Curse of Exhaustion [Brain]
-		mdef -= sc->data[SC_CURSEEXHAUST]->val2;
-	if (sc->data[SC_OVERWHELMING]) // Warlock Overwhelming Evil [Brain]
- 		mdef += sc->data[SC_OVERWHELMING]->val1;
-	//Custom Job End
->>>>>>> .r18
 
 
@@ -4182,5 +3905,4 @@
 	if(sc->data[SC_MINDBREAKER])
 		mdef2 -= mdef2 * sc->data[SC_MINDBREAKER]->val3/100;
-<<<<<<< .mine
 	if(sc->data[SC_AGONY])	 // Warlock Power Word: Agony [Brain]
 	mdef2 -= mdef2 * 25/100; // -25% mdef
@@ -4188,13 +3910,4 @@
 	if(sc->data[SC_DECREPIFY]->val2>=5)
 		mdef2 -= mdef2 * 25/100;
-=======
-	//Custom Jobs (blackmagic)
-	if(sc->data[SC_AGONY])	 // Warlock Power Word: Agony [Brain]
-		mdef2 -= mdef2 * 25/100; // -25% mdef
-	if(sc->data[SC_DECREPIFY]) // Necromancer Decrepify [Brain]
-		if(sc->data[SC_DECREPIFY]->val2>=5)
-			mdef2 -= mdef2 * 25/100;
-	//Custom Job End
->>>>>>> .r18
 
 
@@ -4251,14 +3964,7 @@
 			else if(sc->data[SC_WINDWALK])
 				new_speed -= new_speed * sc->data[SC_WINDWALK]->val3/100;
-<<<<<<< .mine
 		else if(sc->data[SC_FEAR]) //Fear Status by [Brainstorm]
 		new_speed -= new_speed * 25/100;
 
-=======
-			//Custom Jobs (blackmagic)
-			else if(sc->data[SC_FEAR]) //Fear Status by [Brainstorm]
-				new_speed -= new_speed * 25/100;
-			//Custom Job End
->>>>>>> .r18
 		}
 
@@ -4304,14 +4010,7 @@
 	if(sc->data[SC_SLOWDOWN])
 		speed = speed * 100/75;
-<<<<<<< .mine
 	if(sc->data[SC_DECREPIFY]) // Necromancer Decrepify [Brain]
 	speed = speed * 100/75; //-25% walkspeed
 
-=======
-	//Custom Jobs (blackmagic)
-	if(sc->data[SC_DECREPIFY]) // Necromancer Decrepify [Brain]
-		speed = speed * 100/75; //-25% walkspeed
-	//Custom Job End
->>>>>>> .r18
 	
 	return (short)cap_value(speed,10,USHRT_MAX);
@@ -4384,14 +4083,7 @@
 		else if(sc->data[SC_MADNESSCANCEL])
 			aspd_rate -= 200;
-<<<<<<< .mine
 	else if(sc->data[SC_LUST]) // Adept Blood Lust [Brain]
 		aspd_rate -= sc->data[SC_LUST]->val2*10;
 
-=======
-		//Custom Jobs (blackmagic)
-		else if(sc->data[SC_LUST]) // Adept Blood Lust [Brain]
-			aspd_rate -= sc->data[SC_LUST]->val2*10;
-		//Custom Job End
->>>>>>> .r18
 	}
 
@@ -4487,5 +4179,4 @@
 	if(sc->data[SC_ELEMENTALCHANGE])
 		return sc->data[SC_ELEMENTALCHANGE]->val2;
-<<<<<<< .mine
 	if( sc->data[SC_DEATHPACT]) // Necro Death Pact [Brain]
 	return ELE_UNDEAD;
@@ -4493,12 +4184,4 @@
 	return ELE_DARK;
 
-=======
-	//Custom Jobs (blackmagic)
-	if( sc->data[SC_DEATHPACT]) // Necro Death Pact [Brain]
-		return ELE_UNDEAD;
-	if( sc->data[SC_OVERWHELMING]) // Warlock Overwhelming Evil [Brain]
-		return ELE_DARK;
-	//Custom Job End
->>>>>>> .r18
 	return (unsigned char)cap_value(element,0,UCHAR_MAX);
 }
@@ -4519,17 +4202,8 @@
 	if(sc->data[SC_ELEMENTALCHANGE])
 		return sc->data[SC_ELEMENTALCHANGE]->val1;
-<<<<<<< .mine
 	if( sc->data[SC_DEATHPACT]) // Necro Death Pact [Brain]
 	return 1;
 	if( sc->data[SC_OVERWHELMING]) // Warlock Overwhelming Evil [Brain]
 	return 1;
-=======
-	//Custom Jobs (blackmagic)
-	if( sc->data[SC_DEATHPACT]) // Necro Death Pact [Brain]
-		return 1;
-	if( sc->data[SC_OVERWHELMING]) // Warlock Overwhelming Evil [Brain]
-		return 1;
-	//Custom Job End
->>>>>>> .r18
 
 
@@ -5399,17 +5073,4 @@
 
 			case SC_FOGWALL:
-<<<<<<< .mine
-=======
-			//Custom Jobs (blackmagic)
-			//New status [Brainstorm]
-			case SC_FEAR:
-			case SC_DECREPIFY:
-			case SC_DARKMOON:
-			case SC_REQUIEM:
-			case SC_CURSETONGUES:
-			case SC_CURSEWEAKNESS:
-			case SC_CURSEEXHAUST:
-			//Custom Job End
->>>>>>> .r18
 				return 0;
 		}
@@ -5427,5 +5088,4 @@
 			if (sc->data[SC_STONE] && sc->opt1 == OPT1_STONE)
 				status_change_end(bl,SC_STONE,-1);
-<<<<<<< .mine
 		// Warlock Curses are canceled by blessing [Brain]
 		if (sc->data[SC_CURSEWEAKNESS])
@@ -5438,20 +5098,6 @@
 		status_change_end(bl,SC_DOOM,-1);//But then people would abuse on WoEs
 
-=======
-			//Custom Jobs (blackmagic)
-			// Warlock Curses are canceled by blessing [Brain]
-			if (sc->data[SC_CURSEWEAKNESS])
-				status_change_end(bl,SC_CURSEWEAKNESS,-1);
-			if (sc->data[SC_CURSETONGUES])
-				status_change_end(bl,SC_CURSETONGUES,-1);
-			if (sc->data[SC_CURSEEXHAUST])
-				status_change_end(bl,SC_CURSEEXHAUST,-1);
-			if (sc->data[SC_DOOM]) // This skill would be way funnier if we could igore this concept, no?
-				status_change_end(bl,SC_DOOM,-1);//But then people would abuse on WoEs
-			//Custom Job End
->>>>>>> .r18
-		}
-		break;
-<<<<<<< .mine
+		}
+		break;
 	case SC_CURSEWEAKNESS: // Warlock Curse of Weakness removes Impositio Manus [Brain]
 	if (sc->data[SC_IMPOSITIO])
@@ -5486,39 +5132,4 @@
 	break;
 
-=======
-		//Custom Jobs (blackmagic)
-	case SC_CURSEWEAKNESS: // Warlock Curse of Weakness removes Impositio Manus [Brain]
-		if (sc->data[SC_IMPOSITIO])
-			status_change_end(bl,SC_IMPOSITIO,-1);
-		if (sc->data[SC_BLESSING]) //The opposite is also valid, curses cancel blessing [Brain]
-			status_change_end(bl,SC_BLESSING,-1);
-		break;
-	case SC_CURSETONGUES: // Warlock Curse of Tongues removes Suffragium [Brain]
-		if (sc->data[SC_SUFFRAGIUM])
-			status_change_end(bl,SC_SUFFRAGIUM,-1);
-		if (sc->data[SC_BLESSING])
-			status_change_end(bl,SC_BLESSING,-1);
-		break;
-	case SC_CURSEEXHAUST: // Warlock Curse of Exhaustion removes angelus [Brain]
-		if (sc->data[SC_ANGELUS])
-			status_change_end(bl,SC_ANGELUS,-1);
-	case SC_DOOM:
-		if (sc->data[SC_BLESSING])
-			status_change_end(bl,SC_BLESSING,-1);
-		break;
-	case SC_IMPOSITIO: // Impositio Manus removes Curse of Weakness [Brain]
-		if (sc->data[SC_CURSEWEAKNESS])
-			status_change_end(bl,SC_CURSEWEAKNESS,-1);
-		break;
-	case SC_SUFFRAGIUM: // Suffragium removes Curse of Tongues [Brain]
-		if (sc->data[SC_CURSETONGUES])
-			status_change_end(bl,SC_CURSETONGUES,-1);
-		break;
-	case SC_ANGELUS: // Angelus removes Curse of Exhaustion [Brain]
-		if (sc->data[SC_CURSEEXHAUST])
-			status_change_end(bl,SC_CURSEEXHAUST,-1);
-		break;
-		//Custom Job End
->>>>>>> .r18
 	case SC_INCREASEAGI:
 		status_change_end(bl,SC_DECREASEAGI,-1);
@@ -5539,10 +5150,5 @@
 		status_change_end(bl,SC_TWOHANDQUICKEN,-1);
 		status_change_end(bl,SC_ONEHAND,-1);
-<<<<<<< .mine
 		if(sc->data[SC_LUST])	// Adept Blood Lust [Brain]
-=======
-		//Custom Jobs (blackmagic)
-		if(sc->data[SC_LUST])	// Adept Blood Lust [Brain]
->>>>>>> .r18
 		status_change_end(bl,SC_LUST,-1);
 
@@ -5605,5 +5211,4 @@
 		status_change_end(bl,SC_MADNESSCANCEL,-1);
 		break;
-<<<<<<< .mine
 	case SC_FREEZE: //Frozen status ends immolating AND searing status [Brain]
 	if(sc->data[SC_IMMOLATE])
@@ -5614,15 +5219,4 @@
 	break;
 
-=======
-		//Custom Jobs (blackmagic)
-	case SC_FREEZE: //Frozen status ends immolating AND searing status [Brain]
-		if(sc->data[SC_IMMOLATE])
-			status_change_end(bl,SC_IMMOLATE,-1);
-	case SC_IMMOLATE: // Warlock Immolate [Brain]
-		if(sc->data[SC_SEARING]) //Immolating status ends searing status
-			status_change_end(bl,SC_SEARING,-1);
-		break;
-		//Custom Job End
->>>>>>> .r18
 	case SC_MADNESSCANCEL:
 		status_change_end(bl,SC_ADJUSTMENT,-1);
@@ -5966,5 +5560,4 @@
 			clif_emotion(bl,1);
 			break;
-<<<<<<< .mine
 	case SC_FEAR: //Fear Status by [Brainstorm]
 		clif_emotion(bl,16); // e_wah
@@ -5972,12 +5565,4 @@
 		break;
 
-=======
-			//Custom Jobs (blackmagic)
-		case SC_FEAR: //Fear Status by [Brainstorm]
-			clif_emotion(bl,16); // e_wah
-			if(sd) tick /= 2;
-			break;
-			//Custom Job End
->>>>>>> .r18
 		case SC_BLEEDING:
 			val4 = tick/10000;
@@ -6357,5 +5942,4 @@
 			break;
 
-<<<<<<< .mine
 	case SC_ATFIELD: // AT-Field [Brainstorm]
 		val2 = 100; // 100% Block chance
@@ -6364,14 +5948,4 @@
 		tick = 1000;
 		break;
-=======
-			//Custom Jobs (blackmagic)
-		case SC_ATFIELD: // AT-Field [Brainstorm]
-			val2 = 100; // 100% Block chance
-			val3 = 100; // Dodge 100 attacks total.
-			val4 = tick/1000;
-			tick = 1000;
-			break;
-			//Custom Job End
->>>>>>> .r18
 
 
@@ -6423,5 +5997,4 @@
 				val2 = 0; //0 -> Half stat.
 			break;
-<<<<<<< .mine
 	case SC_REQUIEM: //Necro Requiem and Dark Moon [Brain]
 	case SC_DARKMOON:
@@ -6435,21 +6008,4 @@
 		else
 		val3 = val1; //Everything else (living) get negative status (requiem only)
-=======
-			//Custom Jobs (blackmagic)
-		case SC_REQUIEM: //Necro Requiem and Dark Moon [Brain]
-		case SC_DARKMOON:
-			if (undead_flag || status->race==RC_UNDEAD || status->race==RC_DEMON)
-				val2 = val1; //Demon and Undead get buffed
-			else if(status->race==RC_FORMLESS || status->def_ele==ELE_GHOST || bl->type == BL_PC)
-			{
-				val1 = 0; //No status change for Formless and Ghosts, and non-undead players
-				tick = 0; //Cancel status to not show requiem icon without a reason
-			}
-			else
-				val3 = val1; //Everything else (living) get negative status (requiem only)
-			break;
-		case SC_DECREPIFY: //Necro Decrepify [Brain]
-			val2 = val1;
->>>>>>> .r18
 		break;
 	case SC_DECREPIFY: //Necro Decrepify [Brain]
@@ -6497,5 +6053,4 @@
 			val2 = 5*val1; //watk increase
 			break;
-<<<<<<< .mine
 	case SC_CURSEWEAKNESS: // Warlock Curse of Weakness [Brain]
 		val2 = 5*val1; //batk/watk decrease
@@ -6508,17 +6063,4 @@
 		break;
 
-=======
-			//Custom Jobs (blackmagic)
-		case SC_CURSEWEAKNESS: // Warlock Curse of Weakness [Brain]
-			val2 = 5*val1; //batk/watk decrease
-			break;
-		case SC_CURSEEXHAUST: // Warlock Curse of Exhaustion [Brain]
-			val2 = 2*val1; //def/mdef decrease
-			break;
-		case SC_CURSETONGUES: // Warlock Curse of Tongues [Brain]
-			val2 = 10*val1; //casttime increase
-			break;
-			//Custom Job End
->>>>>>> .r18
 		case SC_MELTDOWN:
 			val2 = 100*val1; //Chance to break weapon
@@ -6576,5 +6118,4 @@
 			val3 = 5+5*val1; //bAtk/wAtk rate change
 			break;
-<<<<<<< .mine
 		case SC_LUST: // Adept Blood Lust [Brain]
 		val2 = 5+3*val1; //Aspd/bAtk/wAtk change
@@ -6590,20 +6131,4 @@
 		break;
 
-=======
-			//Custom Jobs (blackmagic)
-		case SC_LUST: // Adept Blood Lust [Brain]
-			val2 = 5+3*val1; //Aspd/bAtk/wAtk change
-			val3 = tick>0?tick:1000; //Interval at which HP is drained.
-			break;
-		case SC_DEATHPACT: // Necro Death Pact [Brain]
-			val2 = 5*val1; //Neutral property resistance
-			val3 = tick>0?tick:10000; //Interval at which HP is drained.
-			break;
-		case SC_OVERWHELMING: // Warlock Overwhelming Evil [Brain]
-			val2 = 2*val1; //matk bonus
-			val3 = tick>0?tick:1000; //Interval at which SP is drained.
-			break;
-			//Custom Job End
->>>>>>> .r18
 		case SC_MINDBREAKER:
 			val2 = 20*val1; //matk increase.
@@ -6789,5 +6314,4 @@
 				unit_skillcastcancel(bl, 0);
 		break;
-<<<<<<< .mine
 
 	case SC_FEAR: //Fear Status by [Brainstorm]
@@ -6796,11 +6320,4 @@
 
 
-=======
-		//Custom Jobs (blackmagic)
-		case SC_FEAR: //Fear Status by [Brainstorm]
-			unit_stop_attack(bl);
-		break;
-		//Custom Job End
->>>>>>> .r18
 	}
 
@@ -7248,14 +6765,7 @@
 			}
 			break;
-<<<<<<< .mine
 	case SC_SPLASHER:
 	case SC_DOOM: // Warlock Curse of Doom [Brain]
 	
-=======
-//Custom Jobs (blackmagic)
-		case SC_SPLASHER:
-		case SC_DOOM: // Warlock Curse of Doom [Brain]
-//Custom Job End
->>>>>>> .r18
 			{
 				struct block_list *src=map_id2bl(sce->val3);
@@ -7625,24 +7135,4 @@
 		sc_timer_next(sce->val2+tick, status_change_timer, bl->id, data);
 		return 0;
-<<<<<<< .mine
-=======
-		//Custom Jobs (blackmagic)
-	case SC_LUST:	// Adept Blood Lust [Brain]
-		if(!status_charge(bl, status->max_hp/100, 0))
-			break; //Not enough HP to continue.
-		sc_timer_next(sce->val3+tick, status_change_timer, bl->id, data);
-		return 0;
-	case SC_DEATHPACT:	// Necro Death Pact [Brain]
-		 // Drains 1 HP every second (status wont kill, but dying will cancel it)
-		status_charge(bl, 1, 0);
-		sc_timer_next(sce->val3+tick, status_change_timer, bl->id, data);
-		return 0;
-	case SC_OVERWHELMING:	// Warlock Overwhelming Evil [Brain]
-		if(!status_charge(bl, 0, status->max_sp/100))
-			break; //Not enough SP to continue.
-		sc_timer_next(sce->val3+tick, status_change_timer, bl->id, data);
-		return 0;
-		//Custom Job End
->>>>>>> .r18
 
 	case SC_LUST:	// Adept Blood Lust [Brain]
@@ -7896,5 +7386,4 @@
 		}
 		break;
-<<<<<<< .mine
 	case SC_DOOM: // Warlock Curse of Doom [Brain]
 	if((sce->val4 -= 500) > 0) {
@@ -7903,14 +7392,4 @@
 	}
 	break;
-=======
-		//Custom Jobs (blackmagic)
-	case SC_DOOM: // Warlock Curse of Doom [Brain]
-		if((sce->val4 -= 500) > 0) {
-			sc_timer_next(500 + tick, status_change_timer, bl->id, data);
-			return 0;
-		}
-		break;
-		//Custom Job End
->>>>>>> .r18
 
 	case SC_MARIONETTE:
Index: src/map/skill.h
===================================================================
--- src/map/skill.h (revision 19)
+++ src/map/skill.h (revision 22)
@@ -970,5 +970,4 @@
 	AD_SUMMONS,
 
-<<<<<<< .mine
 	NC_PHYLACTERY, //710
 	NC_UNDEAD,
@@ -988,59 +987,4 @@
 	NC_DRAINLIFE,
 	NC_DEATHPACT,
-=======
-	//Custom Jobs (blackmagic)
-	AD_PWBLIND = 700,	// Custom Skills [Brainstorm]
-	AD_PWFEAR,
-	AD_DARKHEAL,
-	AD_BLOODPACT,
-	AD_LUST,
-	AD_FERVOR,
-	AD_PROFANE,
-	AD_DARKFAITH,
-	AD_FAMILIAR,
-	AD_SUMMONS,
-
-	NC_PHYLACTERY, //710
-	NC_UNDEAD,
-	NC_DEATHHAND,
-	NC_GHOULTOUCH,
-	NC_SKELETON,
-	NC_ZOMBIE,
-	NC_ARCHER,
-	NC_MUMMY,
-	NC_GHOST,
-	NC_SHADOW,
-	NC_WRAITH,
-	NC_REQUIEM,
-	NC_DARKMOON,
-	NC_PWSUFFER,
-	NC_DECREPIFY,
-	NC_DRAINLIFE,
-	NC_DEATHPACT,
-
-	ALL_ATFIELD, //GM SKILL
-
-	WL_CURSETONGUES =732, //732
-	WL_CURSEDOOM,
-	WL_CURSEEXHAUST,
-	WL_CURSEWEAKNESS,
-	WL_SEARING,
-	WL_HELLFIRE,
-	WL_CONFLAGRATE,
-	WL_IMMOLATE,
-	WL_SHADOWBOLT,
-	WL_SHADOWBURN,
-	WL_HOWLOFPAIN,
-	WL_DEMONOLOGY,
-	WL_HOWLOFTERROR,
-	WL_PWAGONY,
-	WL_OVERWHELMING,
-	WL_SOULSTEAL,
-	WL_DRAINSOUL,
-	WL_CORRUPTION, //749
-// STOP! Cant use 800 (homun skills) NOR 900 (guild skills)
-	
-	//Custom Job End
->>>>>>> .r18
 
 	ALL_ATFIELD, //GM SKILL
Index: src/map/status.h
===================================================================
--- src/map/status.h (revision 19)
+++ src/map/status.h (revision 22)
@@ -312,25 +312,4 @@
 	SC_SPREGEN,
 	SC_WALKSPEED,
-<<<<<<< .mine
-=======
-	//Custom Jobs (blackmagic)
-	SC_DECREPIFY, // New status [brain]
-	SC_LUST,
-	SC_DARKMOON,
-	SC_REQUIEM,
-	SC_DEATHPACT,
-	SC_ATFIELD,
-	SC_SUFFER,
-	SC_SEARING,
-	SC_IMMOLATE,
-	SC_AGONY,
-	SC_CURSETONGUES,
-	SC_DOOM,
-	SC_CURSEWEAKNESS,
-	SC_CURSEEXHAUST,
-	SC_OVERWHELMING,
-	SC_FEAR,
-//Custom Job End
->>>>>>> .r18
 	SC_MAX, //Automatically updated max, used in for's to check we are within bounds.
 } sc_type;
Index: src/map/pc.c
===================================================================
--- src/map/pc.c (revision 19)
+++ src/map/pc.c (revision 22)
@@ -1,3 +1,3 @@
-// Copyright (c) Athena Dev Teams - Licensed under GNU GPL =D
+// Copyright (c) Athena Dev Teams - Licensed under GNU GPL
 // For more information, see LICENCE in the main folder
 
@@ -754,16 +754,8 @@
 	if (battle_config.disp_zeny)
 		sd->state.showzeny = 1;
-<<<<<<< .mine
 	//Vanaheim settings [Brainstorm]
 	if (battle_config.disp_summon_stats) // Battle Flag to Show Summoned Monster Stats [Brain]
 	sd->state.showsummon = 1;
 
-=======
-	//Custom Job (blackmagick)	
-	//Vanaheim settings [Brainstorm]
-	if (battle_config.disp_summon_stats) // Battle Flag to Show Summoned Monster Stats [Brain]
-		sd->state.showsummon = 1;
-	
->>>>>>> .r18
 	if (!(battle_config.display_skill_fail&2))
 		sd->state.showdelay = 1;
@@ -3898,20 +3890,8 @@
 			class_ = MAPID_SUMMER;
 			break;
-<<<<<<< .mine
 			//Possible to be in the wrong spot?
 		case JOB_NECROMANCER: // Necromancer [Brain]
 			class_ |= JOBL_2_1;
 			class_ |= MAPID_ADEPT;
-=======
-			//Custom Jobs (blackmagic)
-			+		case JOB_NECROMANCER: // Necromancer [Brain]
-			class_ |= JOBL_2_1;
-			class_ |= MAPID_ADEPT;
-			break;	
-		case JOB_WARLOCK: // Warlock [Brain]
-			class_ |= JOBL_2_2;
-		case JOB_ADEPT: // Adept [Brain]
-			class_ |= MAPID_ADEPT;
->>>>>>> .r18
 			break;
 		case JOB_WARLOCK: // Warlock [Brain]
@@ -4139,5 +4119,4 @@
 	case JOB_NINJA:
 		return msg_txt(620);
-<<<<<<< .mine
 	case JOB_ADEPT: // Adept [Brain]
 		return msg_txt(1000);
@@ -4145,12 +4124,4 @@
 		return msg_txt(1001);
 	case JOB_WARLOCK: // Warlock [Flavio]
-=======
-	//Custom Jobs (blackmagic)
-	case JOB_ADEPT: // Adept [Brain]
-		return msg_txt(1000);
-	case JOB_NECROMANCER: // Necromancer [Brain]
-		return msg_txt(1001);
-	case JOB_WARLOCK: // Warlock [Flavio]
->>>>>>> .r18
 		return msg_txt(1002);
 
Index: src/map/pc.h
===================================================================
--- src/map/pc.h (revision 19)
+++ src/map/pc.h (revision 22)
@@ -1,3 +1,3 @@
-// Copyright (c) Athena Dev Teams - Licensed under GNU GPL =D
+// Copyright (c) Athena Dev Teams - Licensed under GNU GPL
 // For more information, see LICENCE in the main folder
 
@@ -114,16 +114,5 @@
 		unsigned short autolootid; // [Zephyrus]
 		unsigned noks : 3; // [Zeph Kill Steal Protection]
-<<<<<<< .mine
 		unsigned showsummon : 1; //Show summoned monster stats [Brainstorm]
-=======
-		//Custom Jobs (blackmagic)
-		
-		//Vanaheim settings [Brainstorm]
-		unsigned showsummon :1; //Show summoned monster stats [Brainstorm]
-		
-		//Custom Job End
-		unsigned god :1; //[Sketchy]
-		unsigned demon :1; //[Sketchy]
->>>>>>> .r17
 		bool changemap;
 		struct guild *gmaster_flag;
